Commit 04916677 authored by Cédric Moreau's avatar Cédric Moreau
Browse files

[fix] #1084 WS2P: Update UI to 1.6.x

parent 11a1b027
......@@ -62,7 +62,7 @@ cp -R "$DOWNLOADS/node-${NVER}-linux-${ARCH}" node
echo "yarn"
yarn
yarn add duniter-ui@1.4.x --save --production
yarn add duniter-ui@1.6.x --save --production
sed -i "s/duniter\//..\/..\/..\/..\//g" node_modules/duniter-ui/server/controller/webmin.js
SRC=`pwd`
echo $SRC
......
......@@ -80,7 +80,7 @@ rm -Rf .git
#[[ $? -eq 0 ]] && yarn test
# Duniter UI
[[ $? -eq 0 ]] && yarn add duniter-ui@1.4.x
[[ $? -eq 0 ]] && yarn add duniter-ui@1.6.x
[[ $? -eq 0 ]] && sed -i "s/duniter\//..\/..\/..\/..\//g" node_modules/duniter-ui/server/controller/webmin.js
[[ $? -eq 0 ]] && npm prune --production
......
set DUNITER_BRANCH=1.4.x
set VER_UI=%DUNITER_BRANCH%
set ADDON_VERSION=48
set NW_VERSION=0.17.6
set NODEJS_VERSION=6.11.1
......@@ -46,7 +43,7 @@ call npm cache clean
call npm install
REM call npm test
echo "Ajout du module 1/1 (duniter-ui)..."
call npm install duniter-ui@%VER_UI% --save --production
call npm install duniter-ui@1.6.x --save --production
REM sed -i "s/duniter\//..\/..\/..\/..\//g" node_modules/duniter-ui/server/controller/webmin.js
cd node_modules\duniter-ui\server\controller\
powershell -Command "(Get-Content webmin.js) | foreach-object {$_ -replace 'duniter/','../../../../' } | Set-Content webmin.js2"
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment